package com.gyee.frame.service;

import com.gyee.frame.common.base.BaseService;
import com.gyee.frame.common.dataSources.DataSource;
import com.gyee.frame.common.dataSources.DataSourceType;
import com.gyee.frame.mapper.auto.GyeeBraceletuserMapper;
import com.gyee.frame.model.auto.GyeeBraceletuser;
import com.gyee.frame.model.auto.GyeeBraceletuserExample;
import com.gyee.frame.service.ticket.LaborService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 *  GyeeBraceletuserService
 * @Title: GyeeBraceletuserService.java 
 * @Package com.gyee.frame.service 
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-04-17 14:18:03  
 **/
@Service
public class GyeeBraceletuserService implements BaseService<GyeeBraceletuser, GyeeBraceletuserExample>{
	@Resource
	private GyeeBraceletuserMapper gyeeBraceletuserMapper;
	@Resource
	private LaborService laborService;;


	@Override
	public int deleteByPrimaryKey(String id) {
		return 0;
	}

	@Override
	public int insertSelective(GyeeBraceletuser record) {
		return 0;
	}

	@Override
	public GyeeBraceletuser selectByPrimaryKey(String id) {
		return null;
	}

	@Override
	@DataSource(value = DataSourceType.TICKET)
	public int updateByPrimaryKeySelective(GyeeBraceletuser record) {
		return gyeeBraceletuserMapper.updateByPrimaryKeySelective(record);
	}

	@Override
	public int updateByExampleSelective(GyeeBraceletuser record, GyeeBraceletuserExample example) {
		return 0;
	}

	@Override
	public int updateByExample(GyeeBraceletuser record, GyeeBraceletuserExample example) {
		return 0;
	}

	@Override
	public List<GyeeBraceletuser> selectByExample(GyeeBraceletuserExample example) {
		return null;
	}

	@Override
	public long countByExample(GyeeBraceletuserExample example) {
		return 0;
	}

	@Override
	public int deleteByExample(GyeeBraceletuserExample example) {
		return 0;
	}
	@DataSource(value = DataSourceType.TICKET)
	public GyeeBraceletuser queryBraceletuserByUserId(String userid){

		GyeeBraceletuserExample testExample=new GyeeBraceletuserExample();
		testExample.setOrderByClause("id ASC");
		testExample.createCriteria().andUseridEqualTo(userid);
		List<GyeeBraceletuser> list= gyeeBraceletuserMapper.selectByExample(testExample);

		if(!list.isEmpty())
		{
			return list.get(0);
		}

		return null;
	}
	@DataSource(value = DataSourceType.TICKET)
	public List<GyeeBraceletuser> queryBraceletusers(){

		GyeeBraceletuserExample testExample=new GyeeBraceletuserExample();
		testExample.setOrderByClause("id ASC");
		List<GyeeBraceletuser> list= gyeeBraceletuserMapper.selectByExample(testExample);

		return list;
	}
}
